Ambil proses yang sudah ada berdasarkan identifier-nya. Sesuai kontrak API, hasil sudah dikembalikan secara sinkron saat proses dibuat — gunakan endpoint ini untuk kueri ulang, audit, dan dukungan.
Sebelum mengambil proses, tinjau konfigurasi webhook dan strategi fallback kami — klik di sini.
Endpoint
| Lingkungan | URL |
|---|---|
| Production | GET https://api.id.unico.app/processes/v1/{processId} |
| Sandbox | GET https://api.id.uat.unico.app/processes/v1/{processId} |
Permintaan
| Header | Nilai |
|---|---|
Authorization | Bearer <access_token> |
APIKEY | API key yang telah disediakan. |
| Parameter | Tipe | Wajib | Deskripsi |
|---|---|---|---|
processId | string (UUID) | ya | Identifier proses yang dikembalikan oleh Create Process. |
Contoh
- cURL
- Node.js
curl -X GET https://api.id.unico.app/processes/v1/$PROCESS_ID \
-H "Authorization: Bearer $TOKEN" \
-H "APIKEY: $API_KEY"
import fetch from 'node-fetch';
const res = await fetch(
`https://api.id.unico.app/processes/v1/${processId}`,
{
headers: {
Authorization: `Bearer ${accessToken}`,
APIKEY: apiKey
}
}
);
const result = await res.json();
Respons
Kontrak ini bersifat unik — field idCloud.result membawa keputusan konsolidasi dari kapabilitas yang digunakan.
Unico mengonsolidasikan hasil dari kapabilitas yang dijalankan menjadi satu idCloud.result, siap untuk menentukan langkah berikutnya dalam alur Anda — tanpa perlu mengorkestrasi hasil individual.
{
"id": "80371b2a-3ac7-432e-866d-57fe37896ac6",
"status": 3,
"idCloud": {
"result": "approved"
}
}
| idCloud.result | Meaning | Recommended action |
|---|---|---|
| approved | Real person and validated identity. | Proceed with the flow. |
| denied | Identity not validated, liveness check failed, or extreme risk identified. | End the flow or redirect to an alternative flow. |
| critical-risk | Critical risk level identified. | End the flow or route to manual review. |
| high-risk | High risk level identified. | Route to manual review or an alternative flow. |
| retry | Insufficient capture or score to evaluate. | Ask the user for a new capture. |
| inconclusive | Not enough evidence for a verdict. | Route to manual review or an alternative flow. |
Nilai yang dikembalikan bergantung pada recipe yang dikonfigurasi dalam APIKey Anda. Lihat Alur untuk nilai hasil yang dapat dikembalikan oleh setiap recipe.
Kapan menggunakan endpoint ini
Kontrak API mengembalikan hasil secara sinkron, jadi sebagian besar integrasi tidak memerlukan endpoint ini. Gunakan ketika:
- Anda hanya menyimpan
processIddan perlu mengambil hasil lengkap nanti (audit, dukungan). - Anda menduga respons asli hilang dalam transit (error jaringan setelah platform menyelesaikan pekerjaan).
- Anda sedang membangun alat back-office yang meninjau proses historis.
Kode Error
- 400 Bad Request
- 404 Not Found
- 403 Forbidden
- 410 Gone
- 429 Too Many Requests
- 500 Internal Server Error
| Code | Message | Deskripsi |
|---|---|---|
20023 | O parâmetro processId não foi informado. | Parameter process id tidak ada. |
20002 | O parâmetro APIKey não foi informado. | Parameter APIKEY tidak ada di header permintaan. |
20001 | O parâmetro authtoken não foi informado. | Parameter token integrasi tidak ada di header permintaan. |
| Code | Message | Deskripsi |
|---|---|---|
50001 | O processo informado não foi encontrado. | Proses tidak ada di database. |
| Code | Message | Deskripsi |
|---|---|---|
30017 | User does not have permission to perform this action. | JWT yang salah format atau pengguna tanpa izin untuk melakukan operasi ini. |
10502 | O token informado está expirado. | Ketika access-token yang digunakan telah kedaluwarsa. |
10501 | O token informado é inválido. | Token autentikasi tidak valid. |
10201 | O AppKey informado é inválido. | Parameter APIKEY belum dimasukkan atau tidak ada. |
Proses ada tetapi menghasilkan error. Hanya mengembalikan id dan status: 5.
Rate limit reached. When your system receives an HTTP 429 error, you must implement mechanisms to prevent cascading failures and avoid worsening the restriction.
Best practices:
- Cool-down period (backoff): Immediately halt or throttle subsequent requests from your system. Do not continuously retry failed requests in a tight loop.
- Queueing & throttling: Buffer or queue outgoing requests on your end to control the traffic flow before re-sending them.
- Exponential backoff with jitter: When retrying, increase the waiting time exponentially between attempts (e.g., 1 s, 2 s, 4 s, 8 s) and add a small random delay ("jitter") to prevent a herd effect where all queued requests retry at the exact same millisecond.
Continuously hitting a rate-limited endpoint without backing off can prolong the restriction period and severely impact your system's operational throughput. Properly throttling requests on your side ensures a smoother, more resilient integration.
For default limits, increase requests and additional details, see Rate Limits.
| Code | Message | Deskripsi |
|---|---|---|
99999 | Internal failure! Try again later | Ketika terjadi error internal. |
Alur
Recipe adalah kombinasi kapabilitas (liveness, verifikasi identitas, sinyal risiko, dokumen...) yang dikonfigurasi dalam APIKey proyek Anda. Recipe menentukan apa yang dijalankan Unico dalam setiap proses dan bagaimana hasilnya dikonsolidasikan menjadi satu result — Anda tidak perlu mengorkestrasi apa pun di sisi Anda.
Unico memiliki katalog recipe yang sudah ditetapkan, diberi nama dan versi (misalnya byunico-idlive-idunico-oneresponse-std). Beberapa recipe eksklusif untuk Brasil, seperti yang menyertakan Skor, Serpro, atau verifikasi usia.
Kombinasi kapabilitas — alur proyek Anda — ditentukan dalam konfigurasi APIKey Anda. Periksa recipe yang sudah ditetapkan atau hubungi kontak proyek Unico Anda untuk menyesuaikannya.